GET api/HealthReviews?externalId={externalId}
Gets information about a health review.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Health review's unique ID on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
HealthReviewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the health review (Required). |
string |
None. |
| Category |
Health review category (Required). |
string |
None. |
| IsDefault |
Indicates whether this health review is default or not (Required). |
boolean |
None. |
| SortOrder |
Indicates the sort order of this health review in the list (Required). |
integer |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
globally unique identifier |
None. |
| ExternalId |
Unique ID of the model on integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"category": "sample string 2",
"isDefault": true,
"sortOrder": 4,
"id": "6665bfb6-80de-4ae7-a4fe-0eb0aed393df",
"externalId": "sample string 6"
}
application/xml, text/xml
Sample:
<HealthReviewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.HealthReviews"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">6665bfb6-80de-4ae7-a4fe-0eb0aed393df</Id> <Category>sample string 2</Category> <IsDefault>true</IsDefault> <Name>sample string 1</Name> <SortOrder>4</SortOrder> </HealthReviewModel>